summaryrefslogtreecommitdiffstats
path: root/modules.d/01systemd-bsod
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 14:01:36 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-03 14:01:36 +0000
commit70de5d4041249c1a0f597714398cc245f59495c6 (patch)
treeff491e31b95b662ca6c481ac49d1ca8a94c0226b /modules.d/01systemd-bsod
parentAdding debian version 060+5-8. (diff)
downloaddracut-70de5d4041249c1a0f597714398cc245f59495c6.tar.xz
dracut-70de5d4041249c1a0f597714398cc245f59495c6.zip
Merging upstream version 102.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'modules.d/01systemd-bsod')
-rwxr-xr-xmodules.d/01systemd-bsod/module-setup.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/modules.d/01systemd-bsod/module-setup.sh b/modules.d/01systemd-bsod/module-setup.sh
new file mode 100755
index 0000000..91b28d7
--- /dev/null
+++ b/modules.d/01systemd-bsod/module-setup.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+# This file is part of dracut.
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+# Prerequisite check(s) for module.
+check() {
+ # If the binary(s) requirements are not fulfilled the module can't be installed
+ require_binaries "$systemdutildir"/systemd-bsod || return 1
+
+ # Return 255 to only include the module, if another module requires it.
+ return 255
+}
+
+# Module dependency requirements.
+depends() {
+ # This module has external dependency on other module(s).
+ echo systemd-journald
+ # Return 0 to include the dependent module(s) in the initramfs.
+ return 0
+}
+
+# Install the required file(s) for the module in the initramfs.
+install() {
+ inst_multiple \
+ "$systemdsystemunitdir"/systemd-bsod.service \
+ "$systemdsystemunitdir"/initrd.target.wants/systemd-bsod.service \
+ "$systemdutildir"/systemd-bsod
+
+ inst_libdir_file "libqrencode.so*"
+}